How to use ruby console
-
how to make dotted-line bounding box bigger than usual?
the idea is to highlight the selected component by using edit group feature..without dotted-line bounding box being seen
somebody said use ruby console but dont know how to use itplease teach me...
-
First step: Open Sketchup, on the top "ribbon" Window>Ruby Console can be found in the drop down. I cannot tell you what to put in or take out. If you wish to do ruby coding, there are two other subforums. Developers Forum and Plugins Forum. Hope this helps?
-
Hi,
I have looked and tried in SketchUp, but I don't have a clue at the moment what the dotted-line bounding box is? (in SketchUp, not Layout)It's a good idea to first set the goal and precisely describe what you want to achieve (how it should look like etc.). Then later one can think of a possible technical solution ("using edit group feature" or something else), depending on what is possible with the Ruby API.
Reference to SketchUp's Ruby API is here: http://code.google.com/intl/de-DE/apis/sketchup/docs/index.htmlIf you have never done anything similar like scripting or never used a console, I would recommend to take some time to get used to it. It's a bit more to learn than clicking on some toolbar buttons, but you shouldn't fear the console.
There is a great tutorial by Martin Rinehart for beginners:
http://www.martinrinehart.com/models/tutorial/tutorial_11.html
It uses a plugin "SketchTalk" that teaches you Ruby (you have to download the plugin first). -
@mdhelmi84 said:
how to make dotted-line bounding box bigger than usual?
the idea is to highlight the selected component by using edit group feature..without dotted-line bounding box being seen
somebody said use ruby console but dont know how to use it
If you are the same person who asked in Google SketchUp Help Forum (see: http://www.google.com/support/forum/p/sketchup/thread?tid=5bab09c14b74fa86&hl=en ) that hint I made about using the ruby console is purely speculation. I don't know (as mentioned) if such a command line is possible at all. One of the ruby scripters here might know.
What I ment was to (if possible) disable displaying the bounding box by code.
It would be like disabling the screen texts Top / Front / etc. for standard views.See/open SU's menu Window > Ruby Console and copy next sentence:
Sketchup.active_model.rendering_options["ShowViewName"] = false
in the console and [Enter] From now on Top etc. isn't shown on screen.
(paste:Sketchup.active_model.rendering_options["ShowViewName"] = true
to enable again.)
Once again, there might exist something similar for the bounding box. Although I'm far from sure about it.
The purely SketchUp solution with fog is a (not so elegant) workaround.
Advertisement